CVE-2022-24800

Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition') in packagist/october/system

Identifiers

GHSA-8v7h-cpc2-r8jp, CVE-2022-24800

Package Slug

packagist/october/system

Vulnerability

Concurrent Execution using Shared Resource with Improper Synchronization ('Race Condition')

Description

October/System is the system module for October CMS, a self-hosted CMS platform based on the Laravel PHP Framework. Prior to versions 1.0.476, 1.1.12, and 2.2.15, when the developer allows the user to specify their own filename in the fromData method, an unauthenticated user can perform remote code execution (RCE) by exploiting a race condition in the temporary storage directory. This vulnerability affects plugins that expose the October\Rain\Database\Attach\File::fromData as a public interface and does not affect vanilla installations of October CMS since this method is not exposed or used by the system internally or externally. The issue has been patched in Build 476 (v1.0.476), v1.1.12, and v2.2.15. Those who are unable to upgrade may apply with patch to their installation manually as a workaround.

Affected Versions

All versions before 1.0.476, all versions starting from 1.1.0 before 1.1.12, all versions starting from 2.0.0 before 2.2.15

Solution

Upgrade to versions 1.0.476, 1.1.12, 2.2.15 or above.

Last Modified

2022-07-26

source